<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ "Common.Homepage" | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>
        <a [routerLink]="['/country', country?.id]">{{ country?.name }}</a>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ "Economy.RawsMarket" | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div>
    <div nz-row nzJustify="space-around" style="text-align: center;">

      <div nz-col nzXs="23" nzSm="23" nzMd="8">
        <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="{{ 'Economy.Item.Item' | translate }}" [(ngModel)]="selectedItem"
          (ngModelChange)="loadOffers()" [nzCustomTemplate]="selectedItemTemplate">
          <nz-option *ngFor="let data of industryTypes" nzLabel="{{'Economy.' + data.symbol | translate}}"
            [nzValue]="data" nzCustomContent>
            <img [src]="data.value" width="25" height="25" />
            {{ 'Economy.' + data.symbol | translate }}
          </nz-option>
        </nz-select>
        <ng-template #selectedItemTemplate let-selected>
          <span *ngIf="selectedItem">
            <img src="{{ selectedItem.value }}" width="25" height="25" />
            {{ 'Economy.' + selectedItem.symbol | translate }}
          </span>
        </ng-template>
      </div>

      <div nz-col nzXs="23" nzSm="23" nzMd="8" *ngIf="companies">
        <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="{{ 'Economy.Market.Company' | translate }}" [(ngModel)]="selectedCompany"
          [nzCustomTemplate]="companySelectTpl" (ngModelChange)="selectCompany()">
          <nz-option *ngFor="let data of companies" [nzLabel]="data.name" [nzValue]="data" nzCustomContent>
            {{ data.name }}
          </nz-option>
        </nz-select>
        <ng-template #companySelectTpl let-selected>
          <span *ngIf="selectedCompany">
            {{ selectedCompany.name }}
          </span>
        </ng-template>
      </div>
    </div>
  </div>

  <div style="text-align: center; margin: 20px">
    <nz-alert nzType="info" *ngIf="offers && offers.length === 0" nzMessage="{{ 'Economy.Market.noOffersFound' | translate }}">
    </nz-alert>

    <div nz-row nzGutter="12" *ngIf="offers && offers.length > 0">
      <div nz-col nzXs="24" nzSm="24" nzMd="24" nzLg="12" nzXl="8" *ngFor="let offer of offers"
        style="margin-bottom: 12px;">
        <nz-card id="exchange-list-item">
          <div nz-row nzGutter="12">
            <div nz-col nzSpan="8">
              <nz-avatar [nzShape]="'square'" [nzSize]="32" [nzIcon]="'user'" [nzSrc]="offer?.owner?.avatar">
              </nz-avatar>
              <div style="font-size: 16px">{{ offer?.owner?.name }}</div>
            </div>
            <div nz-col nzSpan="16">
              <div>{{ "Economy.Market.Amount" | translate }}: {{ offer.amount }}</div>
              <div>Price: {{ offer.price }} {{ offer.priceCurrencyName }}</div>
              <div *ngIf="offer.amountSelected > 0">
                {{ "Economy.Market.TotalPrice" | translate }}: {{ offer.price * offer.amountSelected }} {{ offer.priceCurrencyName }}
              </div>
            </div>
          </div>

          <nz-divider></nz-divider>
          <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton2">
            <div style="margin-right: 20px">
              <nz-slider [(ngModel)]="offer.amountSelected" [nzMax]="offer.amount" [nzMin]="0" [nzStep]="1"
                [nzMarks]="offer.marks"></nz-slider>
            </div>
          </nz-input-group>
          <ng-template #suffixIconButton2>
            <button nz-button nzShape="round" nzType="primary" nzSearch (click)="acceptOffer(offer)">
              {{ "Economy.Trade.BuyCaps" | translate }} {{ offer.amountSelected }}
            </button>
          </ng-template>

        </nz-card>
      </div>
    </div>
  </div>
</nz-spin>
